
Component({
  mixins: [],
  data: {
    show: false
  },
  props: {},
  didMount() {
  },
  didUpdate() {
  },
  didUnmount() { },
  methods: {
    preview(e) {
      console.log(e)
      let file = e.target.dataset.file
      let data = {
        ddUserId: getApp().globalData.userid,
        type: 'download',
        fileIds: file.fileId,
        projectName: 'MING_MEETING'
      }
      previewPermissions(data).then(res => {
        dd.previewFileInDingTalk({
          corpId: dd.corpId,
          spaceId: res.data.data,
          fileId: file.fileId,
          fileName: file.fileName,
          fileSize: file.fileSize,
          fileType: file.fileType
        })
      })
    },
    showOperate() {
      this.setData({
        show: true
      })
    },
    deleteFile(e) {
      // let data = event.target.dataset.file.id
      dd.confirm({
        title: '删除文件',
        content: '确认删除文件吗？',
        confirmButtonText: '确定',
        cancelButtonText: '取消',
        success: (res) => {
          if (res.confirm) {
            // delFile().then(res => {
            //   this.props.onReload();
            // })
          }
        }
      })
    },
    updateFile(e) {
      this.setData({
        show: false
      })
      dd.navigateTo({ url: `./../editFile/editFile?file=${JSON.stringify(e.target.dataset.file)}` })
    }

  },
});
